commit:     83332ff82523f9e8766cabe7bc4c02eb29f7cb14
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 23 10:46:53 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Nov 23 10:48:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83332ff8

dev-ruby/test_declarative: EAPI 8

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../test_declarative-0.0.6-r1.ebuild               | 40 ++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/dev-ruby/test_declarative/test_declarative-0.0.6-r1.ebuild 
b/dev-ruby/test_declarative/test_declarative-0.0.6-r1.ebuild
new file mode 100644
index 000000000000..55c83b232267
--- /dev/null
+++ b/dev-ruby/test_declarative/test_declarative-0.0.6-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="test_declarative.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simply adds a declarative test method syntax to test/unit"
+HOMEPAGE="https://github.com/svenfuchs/test_declarative";
+SRC_URI="https://github.com/svenfuchs/test_declarative/tarball/v${PV} -> 
${P}.tgz"
+RUBY_S="svenfuchs-test_declarative-*"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/bundler >=dev-ruby/minitest-5.10:5 )"
+
+all_ruby_prepare() {
+       sed -i -e '/rake/ s/~> 12.0.0/>= 10/ ; /minitest/ s/5.10.1/5.10/' 
Gemfile || die
+
+       sed -i -e 's/git ls-files --/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+       # There are other gemfiles but their setup seems broken atm.
+       for gemfile in Gemfile ; do
+               einfo "Running tests with ${gemfile}"
+               BUNDLE_GEMFILE=${gemfile} ${RUBY} -S bundle exec rake test || 
die
+       done
+}

Reply via email to